import setuptools


# get __version__
exec( open( 'lpi_andor/_version.py' ).read() )

with open("README.md", "r") as fh:
    long_description = fh.read()


project_urls = {
    'Source Code': 'https://github.com/EPFL-LPI/andor_controller',
    'Bug Tracker': 'https://github.com/EPFL-LPI/andor_controller/issues'
}


setuptools.setup(
    name = "lpi-andor",
    version = __version__,
    author = "Brian Carlsen",
    author_email = "carlsen.bri@gmail.com",
    description = "Controller class for communicating with Andor Kymera spectrometers.",
    long_description = long_description,
    long_description_content_type = "text/markdown",
    keywords = [ 'andor', 'spectrometer' ],
    url = "",
    project_urls = project_urls,
    packages = setuptools.find_packages(),
    python_requires = '>=3.7',
    classifiers = [
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: GNU General Public License v3 (GPLv3)",
        "Operating System :: Microsoft :: Windows",
        "Development Status :: 3 - Alpha"
    ],
    install_requires = [
        'setuptools',
        'pyAndorSpectrograph',
        'pyAndorSDK2',
    ],
    package_data = {
        'lpi_andor': [
            'package_data/**/**/**/*'
        ]
    }
)